Subject: Summary: processing HPGL-files

From: "Rochus Schmid" <[email-masked]>
Date: Fri, 17 May 1996 13:02:45 -0600

Dear Netters,

Recently I've posted the following question:

On May 8,  2:17pm, Rochus Schmid wrote:
> Subject: CCL:processing of HPGL-files
> Dear Netters,
>
> I have a question which is (in my eyes) related to CC:
> How to get nice pictures of calculated molecules?
>
> I usually use SCHAKAL to produce HPGL-plots. After that I label these plots
and
> plug in some bond distances or so. This can be done nicely on the PC with
Word
> for Windows. My problem is: I would like to do that on the workstation.
>
> My question is:
> Is there any free software (UNIX) to manipulate HPGL-files or some fileformat
> HPGL can be converted into (e.g. SGI-showcase) to process it?
> Or is there any alternative to SCHAKAL?
> How do you prepare the artwork for publications?
>
> I would be happy about every suggestion.
> Thank you in advance.
>
> Best greatings,
>
> Rochus
>
>-- End of excerpt from Rochus Schmid

I've got a lot of answers. Thanks to (in order of appearance):
Konrad Hinsen, Frank Herrmann, Lutz Ackermann (schoenen Gruss aus Muenchen),
Joerg Hill, Bernhard Eck, Eberhard von Kitzing, and Arne Elofsson.

In summary, most of them suggested to convert to PS or EPS by a converting
program or to produce the pictures with a molecular viewer directly in
PS-format.

molecular viewers (excerpt from Frank Herrmann):

postscript output:
	xmol (good for small molecules)
	rasmol (good for bigger molecules)
	moil-view (sgi)

no postscript output:
	flex
	vmd (sgi, raytracer output)

converter:
	hpgl2ps
	hp2xx	-> cad,em,epic,eps,hpgl,img,mf,pbm,pcl,pcx,rgip,pre

I think, this is essentially the content of the replies. There where also the
suggestions to use either CorrelDraw for UNIX or Photoshop on the Mac to
process Pixel-Graphics (GIF or so).

However, I wanted to keep the vector-graphic produced by SCHAKAL, which is more
intuitive (in my eyes), than the rendered pictures (sorry, that's just my
opinion). I think, the conversion to PS or a Bitmap is a dead end, since it is
very hard to put labels or bond length into the picture after that :-(

Fortunately, someone here at my university pointed me to   xfig . He wrote a
converter from hpgl to the fig-format ;-). The results a very promising. With
the transfig (fig2dev) the processed file is converted to PS and printed.

Hope this helps (someone).

Greetings,

Rochus

-- 

********************************************************************************
Rochus Schmid
Technische Universitaet Muenchen	Tel. 	++49 89 3209 3140
Anorganisch Chemisches Institut 1	Fax. 	++49 89 3209 3473
Prof. W. A. Herrmann			E-mail:	
Lichtenbergstrasse 4			[email-masked]
85747 Garching
********************************************************************************